<template>
  <Splide
    :id="idSlider"
    :has-track="false"
    :options="options"
    class="block-wrapper2"
    aria-labelledby="carousel-heading type-feeds"
    @splide:arrows:mounted="deleteBtn"
  >
    <div id="carousel-heading">
      <h2
        v-if="title"
        v-html="title"
      ></h2>
      <div
        v-if="posttitle"
        class="text-posttitle"
        v-html="posttitle"
      ></div>
    </div>
    <div id="type-feeds" v-if="fishTypes">
      <slot name="fishTypes"></slot>
    </div>

    <SplideTrack>
      <slot name="slide"></slot>
    </SplideTrack>
    <div
      v-if="btnArrow"
      class="button-arrow-wrapper splide__arrows"
    >
      <button class="splide__arrow splide__arrow--prev">
        <VButton color="blue">
          <template #icon>
            <Arrow />
          </template>
        </VButton>
      </button>
      <button class="splide__arrow splide__arrow--next">
        <VButton color="blue">
          <template #icon>
            <Arrow />
          </template>
        </VButton>
      </button>
    </div>
  </Splide>
</template>

<script>
//   https://splidejs.com/v3/guides/options/
import { Splide, SplideSlide, SplideTrack } from '@splidejs/vue-splide';
import { defineComponent } from 'vue';
import VButton from './common/button.vue';
import Arrow from './icons/arrow-right.vue';
import { Splide as Core } from '@splidejs/splide';

export default defineComponent({
  components: {
    Splide,
    SplideSlide,
    SplideTrack,
    VButton,
    Arrow,
  },
  props: {
    images: { type: Array },
    pagination: { type: Boolean, default: false },
    arrows: { type: Boolean, default: true },
    perPage: { type: Number, default: 3 },
    idSlider: { type: String },
    arrowsBottom: { type: Boolean, default: true },
    arrowsCenter: { type: Boolean, default: false },
    indexImgStart: { type: Number, default: 0 },
    loop: { type: Boolean, default: true },
    gap: { type: Number, default: 24 },

    title: { type: String },
    posttitle: { type: String },
    btnArrow: {
      type: Boolean,
      default: true,
    },
    fishTypes: {
      type: Boolean,
      default: false,
    },
  },

  setup(props) {
    const options = {
      perPage: props.perPage,
      type: props.loop ? 'loop' : 'slide', // 'slide', 'loop'
      arrows: props.arrows,
      pagination: props.pagination,
      lazyLoad: 'nearby', // 'nearby' загружать изображения вокруг активного слайда /'sequential' Загружает изображения последовательно / false
      gap: props.gap + 'px',
      start: props.indexImgStart,
      fixedWidth: 'max-content',
      breakpoints: {
        1023: {
          perPage: 1,
          gap: '10px',
        },
      },
    };
    return { options };
  },
  data() {
    return {};
  },
  mounted() {},
  methods: {
    deleteBtn(splide, prev, next) {
      // if (prev && next && prev.hasAttribute('disabled') && next.hasAttribute('disabled')) {
      //   prev.style.display = 'none';
      //   next.style.display = 'none';
      // }
    },
  },
});
</script>
